/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * Simple C++ component implementation for business interface Service1
 * @author Bryan Aupperle
 *
 */

#include "Service2Impl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service2Impl::Service2Impl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	std::string serviceName = properties->getString("serviceName");
	
	return;
}


Service2Impl::~Service2Impl()
{
	return; 
}

// Implementation

long Service2Impl::operation2(const long input) {
	return input+1;
}
