/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A remotable service interface containing 1 operation with a non-const parameter
 * @author Bryan Aupperle
 *
 */

#include <string.h>

/* @Remotable */
/**
 * Function for invoking testcase service
 * @param input_num - number of strings in input
 * @param input - input parameter(s) as an array of string pointers
 * @return - output data as a string
 */
char *operation1(size_t input_num, char *input[]);
