/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation
 * 1 service with interface Service4, where the implementation method modifies the input parameter
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service4.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

char *operation1(size_t input_num, char *input[]) {
	int compCode, reason, size = 50, num_values = 1, i;
	char *pServiceName = serviceName, *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);

	if (input_num > 0)
		strcat(input[0], "+1");
	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked [");
	for (i = 0; i < input_num; i++)
		strcat(result, input[i]);
	strcat(result, "]");
	return result;
};
