/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation with
 * 1 service with interface Service1
 * 0 references
 * 1 property of type float name="serviceData1"
 * @author Bryan Aupperle
 *
 */

#include "Service1.h"
#include <string>

class Service1Impl9 : public Service1 {
public:
	// @Property
	std::string serviceName;
	// @Property
	float serviceData1;

	Service1Impl9();
	virtual ~Service1Impl9();

	virtual std::string operation1(const std::string input);

};
