/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_6011_TestCase, which tests that a <component/> <reference/> 
 * with @multiplicity=1..n can be promoted by a <composite/> <reference/> with 
 * @multiplicity=1..1  
 */
public class ASM_6011_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_6011";
    	config.input 			= "request";
    	config.output[0] 			= "ASM_6011 request service1 operation1 invoked service2 operation1 invoked";
    	config.composite 		= "Test_ASM_6011.composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6011
